---
title: "Groin d'Or #1 : Marco Marsala"
date: 2016-04-15
author: raspbeguy
template: post
tags: bourde,faillite,groin d'or,hébergement,news,oups,production,tribunes
comments: true
---

**EDIT : _Il s'est révélé que le fait décrit dans cet article est une intox._** _Cependant, nous vous laissons ce contenu, car même si Marco Marsala est un sale menteur qui a voulu "promouvoir" sa boîte, les conclusions que nous en avons tiré restent valable, et il n'est pas inutile de remettre les pendules à l'heure._

Mesdames, mesdemoiselles, messieurs, voici l'occasion de vous dévoiler une nouvelle récompense créée par Hashtagueule afin de mettre en valeur les pires erreurs/aberrations de l'informatique. Sans plus attendre, voici la première remise du Groin d'Or.

Aujourd'hui, le lauréat du Groin d'Or est Marco Marsala. Cet homme tenait une entreprise d'hébergement italienne appelée Network Solution slr, et possédait environs 1500 clients. Je parle au passé, parce qu'hélas, cette entreprise n'existe plus aujourd'hui, à cause de circonstances tragiques que nous allons expliquer.

Ce brave homme utilisait l'outil de déploiement massif de configuration [Ansible](https://www.ansible.com/). Pour faire simple, il s'agit d'un programme qui permet d'automatiser des opérations de maintenance et de déploiement sur un grand nombre de serveurs à la fois. L'usage d'un tel logiciel est parfaitement adapté à sa configuration, il a donc raison de le faire. Malheureusement, il l'a très mal utilisé. Je ne veux pas dire qu'il n'a pas su se servir d'Ansible en particulier, mais il a transgressé les lois de sécurité du royaume de la production.

Dimanche dernier, Marco a posté une question sur le site bien connu de question/réponse pour les experts en administration système [Server Fault](https://web.archive.org/web/20160415001447/http://serverfault.com/questions/769357/recovering-from-a-rm-rf). Voici sa question traduite en français :

> Je dirige une petite société d'hébergement avec plus ou moins 1535 clients et j'utilise Ansible pour automatiser certaines opérations devant être exécutées sur tous les serveurs. La nuit dernière, j'ai exécuté par mégarde, sur tous les serveurs, un script Bash contenant `rm -rf {foo}/{bar}`, ces variables n'étant pas définies suite à un bug en amont de cette ligne.
> 
> Tous les serveurs ont été effacés, ainsi que les sauvegardes externes, vu que les volumes distants ont été montés juste avant par le même script (il s'agit d'un script de maintenance des sauvegardes).
> 
> Comment puis-je maintenant me rétablir d'un `rm -rf /` aussi vite que possible ?

Il s'agit d'une très bonne question, Marco. Si bonne que les seules solutions existantes sont si complexes, donc si chères, que tu ne pourra pas te les offrir.

La situation semble si irréaliste, du fait de la négligence de cet administrateur système de pacotille, que la question a été prise par beaucoup pour un troll. Comme il aurait pu s'y attendre, Marco s'est pris des réponses cinglantes et acérées dans la figure :

> Pas besoin de conseils techniques, trouve toi un avocat.
> 
> Tu viens d'atomiser ta société.
> 
> Désolé de te le dire, mais ta boîte est morte en pratique.

Il en résulte que Marco a bel et bien fait couler sa boîte, et il va vraisemblablement se retrouver avec un gros paquets d'ennuis financiers et juridiques, de la part de ses clients, qui se retrouvent le bec dans l'eau, avec leurs données perdues, leurs sites de vente hors ligne, ce qui peut également entraîner leurs propres entreprises dans le naufrage.

Ce premier Groin d'Or est amplement mérité.

Maintenant les enfants, que peut-on retenir de cette étude de cas ? Eh bien, il faut retenir ces quelques préceptes de la production :

- **Faites des sauvegardes : beaucoup, dupliquées, isolées.** Ne vous amusez pas à placer tous vos œufs dans le même panier. Copiez vos sauvegardes sur des serveurs différents, et si possible, à des endroit géographiques différents. Limitez les communications avec ces serveurs de sauvegardes au strict minimum.
- **N'utilisez jamais en production quelque chose qui n'a pas été testé avec rigueur.** Vous ne pouvez vous permettre aucun bug sur vos serveurs de production, c'est pour ça que l'on a inventé les stades de développement et de pré-production.
- **Un grand pouvoir implique de grandes responsabilités.** Ici, plus vous avez de clients, plus vous aurez d'ennuis quand la situation sera intenable.

La remise du Groin d'Or est maintenant terminée, à plus tard pour découvrir le prochain lauréat.

EDIT 2 : _Les clients de Marco Marsala ont du quand même faire une tête bizarre en voyant apparaître la nouvelle dans la presse._
