---
title: "Personnalisation du prompt"
date: 2016-03-10
author: raspbeguy
template: post
tags: bash,console,couleur,détente,personnalisation,planet libre,prompt,shell,terminal
comments: true
---

L'être humain aime adapter son environnement à ses propres envies. Cela s'applique aussi à ses outils, et comme vous le savez, l'ordinateur est un outil. C'est pourquoi la personnalisation de l'interface d'un ordinateur est si importante aujourd'hui.

Cela ne s'arrête pas à l'interface graphique. Si vous pratiquez la ligne de commande à haute dose, vous aurez sûrement envie de mettre un peu de fantaisie dans votre quotidien en personnalisant votre prompt, ce petit en-tête à chaque début de commande, montrant souvent votre nom d'utilisateur et le nom de votre machine, parfois d'autres éléments. Pour les "power-users", la personnalisation du prompt est au moins aussi importante que celle du fond d'écran par exemple.

Malheureusement, la personnalisation du prompt n'est pas chose aisée : elle fait intervenir des variables pas toujours évidentes à connaître, la gestion des couleurs est pour le moins complexe quand on a l'habitude de cliquer sur une interface graphique, et encore...

N'ayez crainte, des outils sont là pour vous aider. Par exemple pour bash, [ce site](https://www.kirsle.net/wizards/ps1.html) vous facilite considérablement la tâche en vous proposant des modèles et en vous permettant de les personnaliser par un système de menus assez intuitifs.

Une fois que vous avez défini votre prompt, tout ce qu'il vous reste à faire est de copier la ligne générée dans la variable `PS1` de votre fichier `~/.bashrc`.

Bonne journée !
