---
title: "Tor messenger"
date: 2015-11-08
author: motius
template: post
tags: chiffrement,news,otr,planet libre,tor,xmpp
comments: true
---

Bonjour à tous !

Aujourd'hui on va faire un tout petit tour du côté de la messagerie électronique instantanée, et puis des innovations apportées par le projet Tor.

La messagerie électronique, vous en utilisez probablement tous les jours. Il y a Facebook chat (et leur application Messenger), Google Hangouts, Skype de Microsoft, etc. Mais vous pouvez choisir des moyens décentralisés pour ça. XMPP est un protocole qui permet ça.

# XMPP en très très gros

Pour faire simple, XMPP est un protocole qui permet de s'échanger des messages ayant un certain format via un serveur qui relaie les messages.

Il y a donc une liste de serveurs XMPP, et une liste de clients pouvant s'y connecter. Aujourd'hui, on va parler d'un nouveau client qui vient de sortir : Tor-messenger.

# Tor-messenger

Comme je l'ai dit, Tor-messenger est un nouveau client XMPP (entre autres, il permet aussi de se connecter à IRC, Google Talk, Facebook Chat, et un service de Yahoo, et un de Twitter), c'est-à-dire qu'installer et lancer tor-messenger sur votre ordinateur va vous permettre de converser avec vos amis et connaissances utilisant XMPP ou IRC, ou Google Talk, ou Facebook Chat, etc.

[Tor-messenger](https://blog.torproject.org/blog/tor-messenger-beta-chat-over-tor-easily) ((**en**), page d'annonce et de téléchargement) est un fork du logiciel libre InstantBird créé par Mozilla. C'est le projet Tor qui l'a adapté aux besoins de ses utilisateurs pour que Tor-messenger se connecte automatiquement via le réseau Tor.

Voici une capture d'écran de mon utilisation de Tor-messenger (XMPP + IRC) :

![tor-messenger](%assets_url%/2015/11/tor-messenger-745x1024.png)

Tor-messenger : ajout de compte, fenêtre de contacts, fenêtre de clavardage, cliquez pour agrandir.

Le gros avantage, c'est que sous GNU/Linux, il n'est pas nécessaire d'installer Tor-messenger, il suffit de décompresser la tarball avec :

```
tar xvfJ tor-messenger-linux\*\_en-US.tar.xz
```

et exécuter le script `start-tor-messenger` ou `start-tor-messenger.desktop` (pas exécuté dans un terminal, le second) dans le répertoire Messenger.

# Ce qui change

En en parlant autour de moi, j'ai eu des réactions comme :

- Ça change tout !
- Mais qu'est-ce que ça change ?

## Pour tout le monde, sur les grandes plateformes du web

Eh bien voyons cela. A priori ça ne change pas grand chose, puisque lorsque vous parlez à votre réseau de connaissances sur Facebook ou Google, fondamentalement, vous êtes toujours connecté à votre compte, et il y a toujours les logs. Ce qui change, c'est que passer par Tor empêche à la plateforme que vous utilisez sache où vous vous trouvez.

## Ce qui pourrait changer à long terme

Ce que je vais écrire est complètement spéculatif, et un petit peu optimiste, mais bon, allons-y. Il est possible que la nouvelle génération vive avec deux types d'identités :

- celle fournie à l'État ;
- une grande quantité de pseudos sur internet, **bien dissociés** les uns des autres, et du nom réel.

On aurait alors --- selon cette hypothèse --- des plateformes qui deviennent aveugles face à leurs utilisateurs. Elles auraient toujours le contenu, etc. mais perdrait un grand bout de l'identification des gens.

Le problème que cela résoud est facile à représenter.

Lorsqu'une personne s'inscrit sur Facebook, elle va presque automatiquement faire ami-ami avec ses proches --- famille et amis --- et ses intérêts. Alors que d'autres réseaux sociaux fonctionnent différemment, comme [Reddit](http://www.reddit.com/u/motius00) (mon compte), Imgur, SoundCloud, etc.

Prendre l'habitude de toujours utiliser une multitude de pseudos sur internet amenuise le ciblage publicitaire, le tracking, le profilage, etc.

## Ce qui change beaucoup, maintenant

Pour ceux qui utilisent régulièrement leur propre serveur XMPP décentralisé, ça permet en plus d'anonymiser leurs connexions.

En récapitulant brièvement ce qu'il se passe pour ces utilisateurs :

- ils ont un serveur XMPP décentralisé ;
- leur logiciel Tor-messenger :
    - passe par le réseau Tor par défaut ;
    - impose le chiffrement par défaut ;
- fait du chiffrement OTR (Off-The-Record messaging).

Leurs communications sont donc **très** bien protégées, dans le sens où elles sont protégées contre beaucoup d'attaquants éventuels, et avec des algorithmes de bonne qualité.

_Motius_
