---
title: "Édito #5 : Restons à flot"
date: 2016-02-18
author: raspbeguy
template: post
tags: édito,hébergement,motivation,nouveautés
comments: true
---

Bonjour chère communauté,

J'estime qu'il est temps de faire un petit point sur la situation à Hashtagueule, d'autant que cela fait une éternité qu'on avait pas publié d'édito.

Commençons par les choses un peu moins gaies. Vous avez du vous rendre compte du peu de billets qui ont été publiés depuis quelques mois. Je n'ai même pas publié d'édito pour vous souhaiter une bonne année (que je vous souhaite donc maintenant). Il y a deux explications à cela.  La première est celle d'usage, celle que nous avançons tout le temps : moi et motius avons tous les deux beaucoup de travail en dehors de notre  activité sur le blog. Mais ce serait vous mentir que de vous dire que ce n'est que ça.

La seconde explication est tout simplement la baisse de l'enthousiasme de l'équipe, qui n'est pour le moment constituée que de deux personnes. Je ne vais pas rentrer dans les affaires internes, mais disons que nous attendions beaucoup de nos amis pour venir prendre part avec nous à l'aventure, et beaucoup se sont montrés intéressés et n'ont par la suite donné aucune nouvelle. Nous avons également parfois l'impression d'écrire  nos articles dans le vent, nous avons très peu de retour de votre part, vous les lecteurs.

Cependant, nous savons que le site est de temps en temps visité, comme en témoigne l’anecdote suivante : Dans mon [tutoriel Let's Encrypt](/posts/securiser-ses-sites-web-avec-lets-encrypt), j'avais fourni un script qui envoyait automatiquement un mail à l'administrateur du succès de l'opération, et j'avais laissé ma propre adresse. J'ai ainsi reçu avec amusement une série de mails de notifications émanant de serveurs dont les administrateurs avaient oublié de modifier cette adresse. Je n'en veux bien sûr à personne, cela rassure un peu sur la fréquentation du site.

Mais pour le reste, dans l'ensemble, nous avons souvent l'impression de nous entêter à nous donner beaucoup de mal pour finalement pas grand chose. Nous nous investissons énormément, intellectuellement et même un peu financièrement, pour essayer de fournir une expérience certes pas parfaite ni professionnelle, mais la meilleure que nous pouvons. Je pense d'ailleurs qu'il s'agit de l'originalité du blog, si tant est qu'elle existe, car même si nous avons une certaine connaissance préliminaire du terrain et avons quelques prédispositions, nous découvrons le monde, aussi dur soit-il, et ses nouveautés, nous nous y adaptons, nous y faisons face et nous apprenons en même temps et au même niveau que vous, chers lecteurs, car nous savons que nous sommes logés à la même enseigne. Nous avons donc beaucoup misé sur l'interaction du site avec ses lecteurs, car nous n'aspirons pas à être meilleurs que vous. Nous savons que des gens beaucoup plus doués que nous sont amenés (avec un peu de chance) à tomber sur ce site. Nous voulons simplement partager notre vécu et que vous partagiez le votre entre vous. C'est en partageant et en nous entraidant que nous parviendrons à changer le monde.

Vous pouvez nous être d'une grande aide en nous faisant voir que vous êtes présents. Nous ne pouvons que vous encourager à parler de nous aux alentours, spécialement aux personnes à qui nous pourrions être utiles. Si vous aimez notre contenu, si vous ne l'aimez pas, si vous estimez que nous faisons des erreurs  ou si vous voulez simplement passer dire bonjour, nous adorerions avoir de vos nouvelles, que ce soit dans les commentaires, sur [IRC](https://hashtagueule.fr/canal-irc/) ou sur notre nouveau [pod Diaspora](https://pod.hashtagueule.fr), dont je parlerai dans la suite. N'hésitez pas à venir nous parler, nous féliciter, nous enguirlander, débattre, discuter. Nous serons à votre écoute et il s'agit de notre unique motivation.

Au fait, motius me dit dans l'oreillette qu'il a une multitude d'articles en préparation dans sa besace :)

Maintenant, parlons des nouveautés. Nous hébergeons plusieurs nouveaux services, dont un [raccourcisseur de liens](https://htgl.fr) (basé sur [LSTU](https://github.com/ldidry/lstu)), une [forge git](https://git.hashtagueule.fr) (instance de [Gogs](https://gogs.io/)) ainsi que, comme évoqué plus haut, un [pod diaspora](https://pod.hashtagueule.fr), un réseau social décentralisé. Vous êtes tous invités à utiliser ces services, tout le monde peut s'y inscrire.

En parlant de ça, GLaDOS, notre serveur nommé par nos soins, commence à tomber à genoux face à tant de services, il faut dire que nous avions choisi une dédibox d'entrée de gamme, chez la compagnie [Online.net.](https://www.online.net/) Nous allons donc dans les jours qui suivent procéder à une migration (encore une) vers Marvin, un serveur plus puissant (et aussi plus cher), chez [Kimsufi](http://kimsufi.com/) (par [OVH](https://www.ovh.com/fr/)), situé à Montréal au Québéc. Donc moins de soucis quant à la surveillance de masse :)

Voilà, c'est tout pour cet édito. Partagez votre savoir, faites des retours sur votre ressenti, et bien sûr, restez gentils.
