---
title: "Email 2.0"
date: 2015-09-09
author: motius
template: post
tags: autohébergement,chiffrement,décentralisation,gpg,https,kickstarter,logiciel libre,mail,news,open hardware,open source,pgp,planet libre,tribunes,vie privée
comments: true
---

Bonjour à tous !

À hashtagueule, on aime les projets innovants qui en plus permettent la décentralisation, le respect de la vie privée. Eh bien bonne nouvelle en provenance de [Own-Mailbox](https://www.own-mailbox.com/index.html) : ils ont des bonnes idées, et un projet solide !

Des beaux projets de décentralisation du mail, on en a vu quelques uns :

- s'autohéberger avec [OwnCloud](https://owncloud.org/) et [Postfix](http://www.postfix.org/) (pas évident pour tous) ;
- [YUNOhost](https://yunohost.org/#/) ;
- [Cozy](https://cozy.io/fr/).

Eh bien celui là a de nouvelles idées ! Même s'il ne propose pas une solution complète d'autohébergement comme les projets ci-dessus, Own-Mailbox est novateur.

Own-Mailbox, c'est un [projet Kickstarter](https://www.kickstarter.com/projects/1547898916/own-mailbox-the-first-100-confidential-mailbox) sous la forme d'un petit boîtier que vous branchez derrière votre box, et qui s'occupe de tout. De tout, vous dis-je. Les fonctionnalités incluent :

- chiffrement GPG ([PGP](https://fr.wikipedia.org/wiki/Pretty_Good_Privacy) possibilité de gérer ses clefs manuellement) ;
- chiffrement TLS pour ceux n'ayant pas GPG (grande innovation, selon moi) ;
- autohébergement du mail ;
- utilisation IPv4/IPv6 ;
- coutournement du blocage par certains FAIs du port 25 (mail).

Selon moi la grande nouveauté, c'est l'utilisation d'une seconde méthode de chiffrement pour ceux n'ayant pas GPG. Il s'agit de la fonctionnalité dite PLM (pour Private Link Message). Simplement :

- si le(s) correspondant(s) possède(nt) une clef GPG, ownmailbox utilise GPG pour chiffrer ;
- sinon le contenu du mail reste dans le serveur ownmailbox, et dans le mail est envoyé un lien HTTPS vers le serveur. Ce lien est configurable pour éviter - si besoin est - les robots, être disponible pendant un certain temps, être cliquable une seule fois, demander une authentification mot de passe, etc...

Cette méthode vous permet de discuter de manière chiffrée avec tout le monde sans prise de tête, même lorsque votre correspondant ne sais pas/veut pas se préoccuper de chiffrement.

Pour finir, quelques points de détail :

- Les logiciels utilisés sont libres/open source (celui qu'ils développent utilise la GPLv3, ceux qu'ils utilisent/améliorent conservent leur licence) ;
- le matériel est open hardware ;
- le boîtier possède un port USB :
    - pour exporter/importer les clefs GPG ;
    - pour augmenter la capacité de stockage ;
- l'équipe pense pouvoir vendre ses premiers modèles dès juin 2016, en fonction du résultat de la campagne Kickstarter ;
- la box fera tourner un OS basé sur [Debian](https://www.debian.org/) ([Ubuntu](https://ubuntu-fr.org/) et [Linux Mint](http://www.linuxmint.com/) sont debian-based, pour mémoire) ;
- possibilité de mise à jour en un clic.

En fin de compte un projet ambitieux et qui vend du rêve !

Passer d'un monde centralisé (autour des GAFAM) à un monde décentralisé va être difficile, et même si l'autohébergement reste l'utopie, ce sont des projets comme celui-là et [CaliOpen](https://caliopen.org/) qui font avancer les choses dans le bon sens.

Bonne journée à tous !

_Motius_
