---
title: "Microsoft, la France et données de santé"
date: 2020-10-19
author: raspbeguy
template: post
tags: politique,france,sénat,pétition,gafam,souveraineté
comments: true
---

Vous vous souvenez quand le gouvernement maitrisait le sujet du numérique ? Moi non plus.

On pourrait débattre longtemps sur la décision du déploiement de la 5G. On le fera probablement, mais pas tout de suite. Là maintenant c'est à propos de santé que je vais vous parler. Et non, pas de rapport avec la COVID-19.

Le gouvernement travaille depuis un certain temps sur un projet qu'on appelle [la Platerforme de Données de Santé](https://drees.solidarites-sante.gouv.fr/etudes-et-statistiques/acces-aux-donnees-de-sante/article/plateforme-des-donnees-de-sante) (en anglais _Health Data Hub_). L'idée derrière tout ça est de centraliser et rationaliser les informations de santé de toute la France, ce qui passe entre autres par y mettre un petit coup d'intelligence artificielle.

Dans l'idée ça pourrait être une bonne idée, cela permettrai d'encadrer les décisions médicales, de faciliter la recherche et de suivre la santé de la population au niveau national. C'est d'ailleurs sur cette infrastructure que s'appuie l'outil StopCovid, dans les condition et l'absence de succès que nous connaissons.

C'est un projet ambitieux sans aucun doute. C'est à ce stade que la route devient glissante. En effet il était prévu, jusque tout récemment, que cette platerforme repose sur Microsoft Azure, donc des données américaines et une entreprise suhette à nombre controverses.

Plusieurs remarques doivent venir à l'esprit :

* **Lobbying** : L'État français ne respecte pas le procédé règlementaire pour ce projet, qui impose de passer par un cahier des charges et un appel d'offre publique.
* **Communication** : Par le choix d'une plateforme étrangère et non-européenne, l'État statue que la France et l'Europe n'ont pas la compétence pour assurer techniquement un tel projet.
* **Souveraineté numérique** : Les données seraient donc sous la juridiction américaine, donc non protégées par le RGPD et soumises à toutes sortes d'atrocités juridiques comme le Cloud Act et le Patriot Act, qui permettent en gros à l'État américain de faire ce qu'il veut avec ces données.
* **Vulnérabilité des données** : Rien ne permettrait de vérifier que Microsoft ne fait pas d'usage commercial de ces données.
* **Économie** : Encore une fuite d'argent publique vers un pays étranger qui n'en a pas besoin et sans véritable raison.

La décision avait provoqué un soulèvement tant au niveau des associations et organismes de protection de la vie numérique que de l'industrie hexagonale. Octave est [fou de rage](https://twitter.com/olesovhcom/status/1267510178108375040). [Une pétition au Sénat](https://petitions.senat.fr/initiatives/i-455) a été lancée. Des sourcils ont été froncés.

Il semblerait que la polémique ait porté quelques fruits et que l'État envisage [un rétropédalage](https://www.conseil-etat.fr/actualites/actualites/health-data-hub-et-protection-de-donnees-personnelles-des-precautions-doivent-etre-prises-dans-l-attente-d-une-solution-perenne).

On a donc l'air de s'éloigner du ravin, mais on a bel et bien senti le vent du boulet. Vous pouvez toujours [signer la pétition](https://petitions.senat.fr/initiatives/i-455), juste au cas où.
