---
title: "Raspberry Pi 3"
date: 2016-03-04
author: raspbeguy
template: post
tags: diy,fablab,news,nouveautés,planet libre,rpi
comments: true
---

Pour ceux qui ont suivi l'actualité de l'informatique de ces dernières années, le Raspberry Pi (RPi) n'est plus à présenter. Mais on va le faire quand même, sachant qu'on n'en a pas beaucoup parlé sur Hashtagueule, alors qu'il s'agit d'un de mes sujets de prédilection. Pour une raison obscure, ce nouveau modèle ([Raspberry Pi 3](https://www.raspberrypi.org/products/raspberry-pi-3-model-b/)) m'avait complètement échappé, je vais donc combler ce retard.

Le Raspberry Pi original date de février 2012, conçu par [la fondation du même nom](https://www.raspberrypi.org/). Les appareils Raspberry Pi sont des ordinateurs minimalistes monocartes, à l'origine développés dans le but d'enseigner l'informatique et d'équiper informatiquement les pays les plus pauvres. Il s'agit donc d'un PC à moins de 40$. Cependant, grâce à sa simplicité d'architecture, son ouverture et son très faible coup, cet appareil connaît un grand succès et est devenu une icône du [DIY](https://fr.wikipedia.org/wiki/Do_it_yourself) et des bricolos en tout genre. Beaucoup de projets nécessitant un composant de computation se sont construits autour de cet appareil, qui peut répondre à une multitude de besoins.

Au moment ou je vous parle, le troisième grand modèle (quatrième en comptant le [RPi Zero](https://www.raspberrypi.org/blog/raspberry-pi-zero/)) est disponible depuis le mois dernier.

Le RPi 3 est n'est pour le moment décliné qu'en modèle B, ce qui correspond à 4 ports USB et la présence d'un port Ethernet. L'évolution qu'il apporte par rapport au RPi 2 modèle B tient en un processeur un peu plus puissant (1,2 GHz 64 bits contre 900 MHz 32 bits, toujours en ARMv7) et la présence de communicateurs Wifi et Bluetooth intégrés. Si vous avez déjà un RPi 2 modèle B sans besoin de communication sans fil, ou que vous avez déjà acheté des dongles pour ajouter ces fonctions, il n'est donc pas très utile de changer votre gâteau à la fraise préféré.

Par contre, comme d'habitude, les prix sont translatés, donc un RPi 3 reste aussi abordable que ces prédécesseurs à leurs périodes de gloire, qui deviennent quant à eux encore meilleur marché. À bon entendeur...

À ce propos, vous pouvez répondre à notre nouveau sondage (dans la barre de gauche) à propos de votre préférence quant à la nature des tutoriels à venir. Bien sûr, celà ne vous empêche pas de nous le faire savoir en commentaire ou en nous parlant directement ;)
